{
	"columns": [
		{
			"width": 25,
			"lineBackColor": -2,
			"field": "sor_row_number",
			"lineForeColor": -2,
			"name": "Rivi",
			"headerForeColor": -2
		},
		{
			"width": 21,
			"lineBackColor": -2,
			"field": "sor_partial_delivery_number",
			"lineForeColor": -2,
			"name": "Erä",
			"headerForeColor": -2
		},
		{
			"headerBackColor": -2,
			"width": 137,
			"lineBackColor": -2,
			"field": "sor_product_id",
			"lineForeColor": -2,
			"name": "Tuote",
			"headerForeColor": -2
		},
		{
			"headerBackColor": -2,
			"width": 67,
			"lineBackColor": -2,
			"field": "sor_delivered_date",
			"lineForeColor": -2,
			"name": "Toimituspäivä",
			"headerForeColor": -2
		},
		{
			"headerBackColor": -2,
			"width": 77,
			"footerValue": "==Sum",
			"lineBackColor": -2,
			"field": "sor_ordered_amount",
			"lineForeColor": -2,
			"name": "Tilattu",
			"headerForeColor": -2
		},
		{
			"headerBackColor": -2,
			"width": 27,
			"lineBackColor": -2,
			"field": "sor_unit",
			"lineForeColor": -2,
			"name": "Yks.",
			"headerForeColor": -2
		},
		{
			"width": 57,
			"enterable": 1,
			"field": "sor_amount_to_collect",
			"headerFontStyle": 1,
			"name": "Kerättävä"
		},
		{
			"width": 54,
			"enterable": 1,
			"field": "sor_collected_amount",
			"headerFontStyle": 1,
			"name": "Kerätty"
		},
		{
			"headerBackColor": -2,
			"width": 34,
			"headerForeColor": -2,
			"lineBackColor": -2,
			"field": "sor_delivered_quantity",
			"lineForeColor": -2,
			"name": "Toim.",
			"format": "### ### ##0,##"
		},
		{
			"headerBackColor": -2,
			"width": 37,
			"lineBackColor": -2,
			"field": "sor_waiting_for_delivery",
			"headerFontStyle": 2,
			"format": "### ### ##0,##",
			"headerForeColor": -2,
			"name": "Jäljellä",
			"lineForeColor": -2
		},
		{
			"headerBackColor": -2,
			"width": 20,
			"lineBackColor": -2,
			"field": "sor_delivery_state",
			"lineForeColor": -2,
			"name": "TT",
			"headerForeColor": -2
		},
		{
			"headerBackColor": -2,
			"width": 38,
			"lineBackColor": -2,
			"field": "sor_invoice_id",
			"lineForeColor": -2,
			"name": "Lasku",
			"headerForeColor": -2
		},
		{
			"headerBackColor": -2,
			"width": 40,
			"lineBackColor": -2,
			"field": "sor_dispatch_note_id",
			"lineForeColor": -2,
			"name": "Lähete",
			"headerForeColor": -2
		},
		{
			"field": "sor_parcel_code",
			"width": 70,
			"name": "Pakettitunnus",
			"enterable": 1
		},
		{
			"field": "sor_info",
			"width": 200,
			"name": "Lisätietoja",
			"enterable": 1
		}
	],
	"options": {
		"manyField": "sor_kSales_Order_id",
		"gridName": "7. Myyntirivit/keräyslista",
		"type": "Input",
		"oneField": "so_kSales_Order_ID",
		"enterable": 1
	}
}